package com.chenyang.druid.sql.dialect.es.visitor;

import org.antlr.v4.runtime.tree.ParseTree;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class EsField {
   public String name;
   public List<ParseTree> refs = new ArrayList();
   public Map<String, FieldValue> values = new HashMap();

   public static class FieldValue {
      public List<ParseTree> refs = new ArrayList();
      public String value;
   }
}
